<?php
require '../conexao/conexao.php';

if (isset($_GET['id_departamento'])) {
    $idDepartamento = $_GET['id_departamento'];

    $sql = "SELECT id_setor, nome_setor FROM setores WHERE id_departamento = ?";
    $stmt = $connectionmysql->prepare($sql);

    if ($stmt) {
        $stmt->bind_param("i", $idDepartamento);
        $stmt->execute();

        $result = $stmt->get_result();

        $setores = array();
        while ($row = $result->fetch_assoc()) {
            $setores[] = $row;
        }

        echo json_encode($setores);
    } else {
        echo json_encode([]);
    }
}
?>
